using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace StekloMaster
{
    public partial class ИЗОБРАЖЕНИЯ_добавить_папку : Form
    {
        public ИЗОБРАЖЕНИЯ_добавить_папку()
        {
            InitializeComponent();
        }

        public string put = "";
        public string putPr = "";
        private void metroButton5_Click(object sender, EventArgs e)
        {
            if(metroTextBox1.Text == "")
            {
                MessageBox.Show("Название папки не может быть пустым!");
                return;
            }
            if(!Directory.Exists(put+"\\"+metroTextBox1.Text))
            {
                try
                {
                    Directory.CreateDirectory(put + "\\" + metroTextBox1.Text);
                    if (!Directory.Exists(putPr + "\\" + metroTextBox1.Text))
                        Directory.CreateDirectory(putPr + "\\" + metroTextBox1.Text);
                    ИЗОБРАЖЕНИЯ_главная gs = this.Owner as ИЗОБРАЖЕНИЯ_главная;
                    gs.obnovlen_tek();
                    this.Close();
                }
                catch(Exception sf)
                {
                    MessageBox.Show("При создании папки произошла ошибка: " + sf.Message);
                }
            }
            else
            {
                MessageBox.Show("Папка уже существует!");
            }
        }

        private void metroTextBox1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                metroButton5_Click(null, null);
            }
        }
    }
}
